"use strict";import*as _ from"lodash";const{Analytics}=require("@segment/analytics-node");export const CONTAINER_OBJECT_FIELD_ID="id";export const CONTAINER_OBJECT_FIELD_TYPE="type";export const CONTAINER_OBJECT_FIELDS_ALLOWED=[CONTAINER_OBJECT_FIELD_ID,CONTAINER_OBJECT_FIELD_TYPE];export const CONTAINER_OBJECT_FIELDS_MANDATORY=[CONTAINER_OBJECT_FIELD_ID];export function isAllowedContainerObjectField(t){return CONTAINER_OBJECT_FIELDS_ALLOWED.some(e=>e===t)}export function isValidContainerObjectField(t,e){return CONTAINER_OBJECT_FIELDS_ALLOWED.some(e=>e===t)&&typeof e==="string"}export const AJS_ANONYMOUS_USER="AJS_ANONYMOUS_USER";export const ATLASSIAN_ACCOUNT="ATLASSIAN_ACCOUNT";export const EMAIL_UUID="EMAIL_UUID";export const ORG="ORG";export const SITE="SITE";export const SITE_USER="SITE_USER";export const TRELLO_USER="TRELLO_USER";const validEntityTypes=[AJS_ANONYMOUS_USER,ATLASSIAN_ACCOUNT,EMAIL_UUID,ORG,SITE,SITE_USER,TRELLO_USER];export function isValidEntityType(e){return validEntityTypes.includes(e)}export function isValidEntityTraitValue(e){return _.isFinite(e)||_.isString(e)&&!_.isEmpty(e)||_.isDate(e)||_.isBoolean(e)}const entityTypes={AJS_ANONYMOUS_USER:AJS_ANONYMOUS_USER,ATLASSIAN_ACCOUNT:ATLASSIAN_ACCOUNT,EMAIL_UUID:EMAIL_UUID,ORG:ORG,SITE:SITE,SITE_USER:SITE_USER,TRELLO_USER:TRELLO_USER,isValidEntityType:isValidEntityType,isValidEntityTraitValue:isValidEntityTraitValue};export{entityTypes};export const CLOUD_ID="cloudId";export const HALP_TEAM_ID="halpTeamId";export const NONE="none";export function isValidTenantType(e){return e===CLOUD_ID||e===HALP_TEAM_ID||e===NONE}const tenantTypes={CLOUD_ID:CLOUD_ID,HALP_TEAM_ID:HALP_TEAM_ID,NONE:NONE,isValidTenantType:isValidTenantType};export{tenantTypes};export const ATLASSIAN_ACCOUNT_FOR_USER_TYPES="atlassianAccount";export const TRELLO="trello";export const HASHED_EMAIL="hashedEmail";export const OPSGENIE="opsgenie";export const HALP="halp";export const CUSTOMER_ACCOUNT="customerAccount";export function isValidUserIdType(e){const t=[ATLASSIAN_ACCOUNT_FOR_USER_TYPES,TRELLO,HASHED_EMAIL,OPSGENIE,HALP,CUSTOMER_ACCOUNT];return t.includes(e)}const userTypes={ATLASSIAN_ACCOUNT_FOR_USER_TYPES:ATLASSIAN_ACCOUNT_FOR_USER_TYPES,TRELLO:TRELLO,HASHED_EMAIL:HASHED_EMAIL,OPSGENIE:OPSGENIE,HALP:HALP,CUSTOMER_ACCOUNT:CUSTOMER_ACCOUNT,isValidUserIdType:isValidUserIdType};export{userTypes};export function isObject(e){return e!==null&&typeof e==="object"&&Array.isArray(e)===false}export function isObjectObject(e){return isObject(e)===true&&Object.prototype.toString.call(e)==="[object Object]"}export function isPlainObject(e){if(isObjectObject(e)===false){return false}const t=e.constructor;if(typeof t!=="function"){return false}const n=t.prototype;if(isObjectObject(n)===false){return false}if(n.hasOwnProperty("isPrototypeOf")===false){return false}return true}export function analyticsClient(e){return new AnalyticsClient(e)}export function validateOperationalEvent({userIdType:e,userId:t,anonymousId:n,tenantIdType:r,tenantId:i,operationalEvent:o}){try{requireValidUserData({userIdType:e,userId:t,anonymousId:n});requireValidTenantData({tenantId:i,tenantIdType:r});requireValue(o,"operationalEvent");requireValue(o.source,"operationalEvent.source");requireValue(o.action,"operationalEvent.action");requireValue(o.actionSubject,"operationalEvent.actionSubject");requireValidContainers(o);return Promise.resolve()}catch(e){return Promise.reject(e)}}export function validateTrackEvent({userIdType:e,userId:t,anonymousId:n,tenantIdType:r,tenantId:i,trackEvent:o}){try{requireValidUserData({userIdType:e,userId:t,anonymousId:n});requireValidTenantData({tenantId:i,tenantIdType:r});requireValue(o,"trackEvent");requireValue(o.source,"trackEvent.source");requireValue(o.action,"trackEvent.action");requireValue(o.actionSubject,"trackEvent.actionSubject");requireValidContainers(o);return Promise.resolve()}catch(e){return Promise.reject(e)}}export function validateUIEvent({userIdType:e,userId:t,anonymousId:n,tenantIdType:r,tenantId:i,uiEvent:o}){try{requireValidUserData({userIdType:e,userId:t,anonymousId:n});requireValidTenantData({tenantId:i,tenantIdType:r});requireValue(o,"uiEvent");requireValue(o.action,"uiEvent.action");requireValue(o.actionSubject,"uiEvent.actionSubject");requireValidContainers(o);return Promise.resolve()}catch(e){return Promise.reject(e)}}export function validateScreenEvent({userIdType:e,userId:t,anonymousId:n,tenantIdType:r,tenantId:i,name:o,screenEvent:a}){try{requireValidUserData({userIdType:e,userId:t,anonymousId:n});requireValidTenantData({tenantId:i,tenantIdType:r});requireValue(o,"name");requireValue(a,"screenEvent");requireValue(a.platform,"screenEvent.platform");requireValidContainers(a);return Promise.resolve()}catch(e){return Promise.reject(e)}}export function validateTraitEvent({entityType:e,entityId:t,entityTraits:n}){try{requireValue(e,"entityType");requireValue(t,"entityId");requireValue(n,"entityTraits");requireValidEntityData({entityType:e,entityTraits:n});return Promise.resolve()}catch(e){return Promise.reject(e)}}export function requireValidEntityData({entityType:e,entityTraits:t}){if(!entityTypes.isValidEntityType(e)){throw new Error(`Unknown entityType ${e}`)}if(!_.isObject(t)){throw new Error("traits.entityTraits should be Object")}_.forEach(t,(e,t)=>{if(!entityTypes.isValidEntityTraitValue(e)){throw new Error(`entityTraits.${t}: ${e} should be one of [String|Number|Boolean|Date]`)}})}export function requireValidTenantData({tenantId:e,tenantIdType:t}){if(e){requireValue(t,"tenantIdType")}if(t){if(!tenantTypes.isValidTenantType(t)){throw new Error(`Unknown tenantIdType ${t}`)}if(t!==tenantTypes.NONE){requireValue(e,"tenantId")}}}export function requireValidUserData({userIdType:e,userId:t,anonymousId:n}){validateUserIdType({userIdType:e,userId:t});if(!t&&!n){throw new Error("At least one set of identifiers must be passed - userIdType and userId, or anonymousId")}}export function validateUserIdType({userIdType:e,userId:t}){if(t){requireValue(e,"userIdType")}if(e){if(!userTypes.isValidUserIdType(e)){throw new Error(`Unknown userIdType ${e}`)}requireValue(t,"userId")}}export function requireValue(e,t){if(!e){throw new Error(`Value ${t} cannot be undefined`)}return e}export function requireValidContainers(e){if(e&&e.containers){const t=e.containers;if(isPlainObject(t)){const n={};Object.keys(t).forEach(e=>{n[e]=requireValidContainerObject(e,t)});e.containers=n}else{throw new Error(`"${CONTAINERS_PATH_PREFIX}" is not an object.`)}}}export function requireValidContainerObject(e,t){const n=t[e];if(!n){throw new Error(`Container Key "${CONTAINERS_PATH_PREFIX}.${e}" has no ContainerObject.`)}else if(isPlainObject(n)){const r={};_.merge(r,validateAllMandatoryFields(n));_.merge(r,validateAllAllowedFields(n));return r}else{throw new Error(`ContainerObject "${CONTAINERS_PATH_PREFIX}.${e}" is not an object.`)}}export function validateAllMandatoryFields(n){const r={};CONTAINER_OBJECT_FIELDS_MANDATORY.forEach(e=>{const t=n[e];if(isValidContainerObjectField(e,t)){r[e]=t}else{throw new Error(`Mandatory ContainerObject field "${e}" `+`is not valid: "${t}" ; expected a value of type "string"`)}});return r}export function validateAllAllowedFields(n){const r={};Object.keys(n).forEach(e=>{const t=n[e];if(isAllowedContainerObjectField(e)){if(isValidContainerObjectField(e,t)){r[e]=t}else{throw new Error(`ContainerObject field "${e}" `+`is not valid: "${t}" ; expected a value of type "string"`)}}});return r}const ANALYTICS_WRITE_KEY="BLANK";const TRACK_EVENT_TYPE="track";const OPERATIONAL_EVENT_TYPE="operational";const UI_EVENT_TYPE="ui";const SCREEN_EVENT_TYPE="screen";const EVENT_ORIGIN="server";const DEFAULT_QUEUE_FLUSH_SIZE=250;const DEFAULT_QUEUE_FLUSH_INTERVAL=1e4;const DEFAULT_MAX_RETRIES=3;const DEFAULT_TIMEOUT=6e4;const MINIMUM_TIMEOUT=5e3;const FEDRAMP_MODERATE="fedramp-moderate";const PROD="prod";const STG="stg";const ANALYTICS_PATH="/api/v1/batch";function isFedrampSandbox(e){return e&&e===FEDRAMP_MODERATE}function getUrlFromEnvironment(e,t){if(isFedrampSandbox(t)&&e===STG){return"https://as.atlassian-fex.com/api"}else if(e===PROD){return"https://as.atlassian.com/api"}else{return"https://as.staging.atl-paas.net/api"}}function useDefault(e,t){if(e===undefined){return t}return e}export class AnalyticsClient{static _buildProperties({userIdType:e,tenantIdType:t,tenantId:n,event:r,subproduct:i,product:o,env:a,datacenter:s,version:d,origin:u,orgId:c,workspaceId:I},p){return _.merge({},r,{product:o,env:a,datacenter:s,version:d,eventType:p,subproduct:i,userIdType:e,tenantIdType:t,tenantId:n,origin:u,orgId:c,workspaceId:I})}constructor({env:e,product:t,subproduct:n,sendEventHook:r,datacenter:i,version:o,origin:a,maxEventsInBatch:s,flushInterval:d,baseUrl:u,logger:c,errorHandler:I,perimeter:p,httpClient:l,httpRequestTimeout:E,maxRetries:T}){requireValue(e,"env");requireValue(t,"product");this.console=useDefault(c,console);this.config={env:e,product:t,subproduct:n,sendEventHook:r,datacenter:i,origin:useDefault(a,EVENT_ORIGIN),version:o};this.analyticsClient=new Analytics({writeKey:ANALYTICS_WRITE_KEY,maxEventsInBatch:s||DEFAULT_QUEUE_FLUSH_SIZE,flushInterval:d||DEFAULT_QUEUE_FLUSH_INTERVAL,maxRetries:T||DEFAULT_MAX_RETRIES,host:u||getUrlFromEnvironment(e,p),path:ANALYTICS_PATH,httpRequestTimeout:E,httpClient:l});if(I&&typeof I==="function"){this.analyticsClient.on("error",I)}}_getTimeoutMilliseconds(e){const t=useDefault(e,DEFAULT_TIMEOUT);if(t<MINIMUM_TIMEOUT){this.console.warn(`timeoutMilliseconds was set less than the allowed minimum of ${MINIMUM_TIMEOUT}.
                    Using the minimum allowed value instead.`);return MINIMUM_TIMEOUT}return t}_eventCallback(e){if(this.config.sendEventHook){this.config.sendEventHook(e)}}_buildCompleteTrackEvent({userIdType:e,userId:t,anonymousId:n,tenantIdType:r,tenantId:i,trackEvent:o,subproduct:a,product:s,os:d,timestamp:u,orgId:c,workspaceId:I}){return{userId:t,anonymousId:n,event:o.actionSubject+" "+o.action,properties:AnalyticsClient._buildProperties({userIdType:e,tenantIdType:r,tenantId:i,event:o,subproduct:useDefault(a,this.config.subproduct),product:useDefault(s,this.config.product),env:this.config.env,datacenter:this.config.datacenter,version:this.config.version,origin:useDefault(o.origin,this.config.origin),orgId:c,workspaceId:I},TRACK_EVENT_TYPE),timestamp:u,context:{os:d}}}_buildCompleteTraitEvent({entityType:e,entityId:t,entityTraits:n,os:r,timestamp:i}){return{anonymousId:"dummy-id",traits:{entityId:t,entityTraits:n,entityType:e},timestamp:i,context:{os:r}}}_buildCompleteOperationalEvent({userIdType:e,userId:t,anonymousId:n,tenantIdType:r,tenantId:i,operationalEvent:o,subproduct:a,product:s,os:d,timestamp:u,orgId:c,workspaceId:I}){return{userId:t,anonymousId:n,event:o.actionSubject+" "+o.action,properties:AnalyticsClient._buildProperties({userIdType:e,tenantIdType:r,tenantId:i,event:o,subproduct:useDefault(a,this.config.subproduct),product:useDefault(s,this.config.product),env:this.config.env,datacenter:this.config.datacenter,version:this.config.version,origin:useDefault(o.origin,this.config.origin),orgId:c,workspaceId:I},OPERATIONAL_EVENT_TYPE),timestamp:u,context:{os:d}}}_buildCompleteUIEvent({userIdType:e,userId:t,anonymousId:n,tenantIdType:r,tenantId:i,uiEvent:o,subproduct:a,product:s,os:d,timestamp:u,orgId:c,workspaceId:I}){return{userId:t,anonymousId:n,event:o.actionSubject+" "+o.action,properties:AnalyticsClient._buildProperties({userIdType:e,tenantIdType:r,tenantId:i,event:o,subproduct:useDefault(a,this.config.subproduct),product:useDefault(s,this.config.product),env:this.config.env,datacenter:this.config.datacenter,version:this.config.version,origin:useDefault(o.origin,this.config.origin),orgId:c,workspaceId:I},UI_EVENT_TYPE),timestamp:u,context:{os:d}}}_buildScreenEvent({userIdType:e,userId:t,anonymousId:n,tenantIdType:r,tenantId:i,name:o,screenEvent:a,subproduct:s,product:d,os:u,timestamp:c,orgId:I,workspaceId:p}){return{userId:t,anonymousId:n,name:o,properties:AnalyticsClient._buildProperties({userIdType:e,tenantIdType:r,tenantId:i,event:a,subproduct:useDefault(s,this.config.subproduct),product:useDefault(d,this.config.product),env:this.config.env,datacenter:this.config.datacenter,version:this.config.version,origin:useDefault(a.origin,this.config.origin),orgId:I,workspaceId:p},SCREEN_EVENT_TYPE),timestamp:c,context:{os:u}}}sendOperationalEvent({userIdType:e=undefined,userId:t=undefined,anonymousId:o=undefined,tenantIdType:a=undefined,tenantId:s=undefined,operationalEvent:d,subproduct:u=undefined,product:c=undefined,os:I=undefined,timestamp:p=undefined,orgId:l=undefined,workspaceId:E=undefined}){return validateOperationalEvent({userIdType:e,userId:t,anonymousId:o,tenantIdType:a,tenantId:s,timestamp:p,operationalEvent:d}).then(()=>new Promise((n,r)=>{const i=this._buildCompleteOperationalEvent({userIdType:e,userId:t,anonymousId:o,tenantIdType:a,tenantId:s,operationalEvent:d,subproduct:u,product:c,os:I,timestamp:p,orgId:l,workspaceId:E});this.analyticsClient.track(i,(e,t)=>{if(e){r(e)}else{this._eventCallback(i);n(t)}})}))}sendTrackEvent({userIdType:e=undefined,userId:t=undefined,anonymousId:o=undefined,tenantIdType:a=undefined,tenantId:s=undefined,trackEvent:d,subproduct:u=undefined,product:c=undefined,os:I=undefined,timestamp:p=undefined,orgId:l=undefined,workspaceId:E=undefined}){return validateTrackEvent({userIdType:e,userId:t,anonymousId:o,tenantIdType:a,tenantId:s,timestamp:p,trackEvent:d}).then(()=>new Promise((n,r)=>{const i=this._buildCompleteTrackEvent({userIdType:e,userId:t,anonymousId:o,tenantIdType:a,tenantId:s,trackEvent:d,subproduct:u,product:c,os:I,timestamp:p,orgId:l,workspaceId:E});this.analyticsClient.track(i,(e,t)=>{if(e){r(e)}else{this._eventCallback(i);n(t)}})}))}sendTraitEvent({entityType:e,entityId:t,entityTraits:o,os:a=undefined,timestamp:s=undefined}){return validateTraitEvent({entityType:e,entityId:t,entityTraits:o,timestamp:s}).then(()=>new Promise((n,r)=>{const i=this._buildCompleteTraitEvent({entityType:e,entityId:t,entityTraits:o,os:a,timestamp:s});this.analyticsClient.identify(i,(e,t)=>{if(e){r(e)}else{this._eventCallback(i);n(t)}})}))}sendUIEvent({userIdType:e=undefined,userId:t=undefined,anonymousId:o=undefined,tenantIdType:a=undefined,tenantId:s=undefined,uiEvent:d,subproduct:u=undefined,product:c=undefined,os:I=undefined,timestamp:p=undefined,orgId:l=undefined,workspaceId:E=undefined}){return validateUIEvent({userIdType:e,userId:t,anonymousId:o,tenantIdType:a,tenantId:s,timestamp:p,uiEvent:d}).then(()=>new Promise((n,r)=>{const i=this._buildCompleteUIEvent({userIdType:e,userId:t,anonymousId:o,tenantIdType:a,tenantId:s,uiEvent:d,subproduct:u,product:c,os:I,timestamp:p,orgId:l,workspaceId:E});this.analyticsClient.track(i,(e,t)=>{if(e){r(e)}else{this._eventCallback(i);n(t)}})}))}sendScreenEvent({userIdType:e=undefined,userId:t=undefined,anonymousId:o=undefined,tenantIdType:a=undefined,tenantId:s=undefined,name:d=undefined,screenEvent:u,subproduct:c=undefined,product:I=undefined,os:p=undefined,timestamp:l=undefined,orgId:E=undefined,workspaceId:T=undefined}){return validateScreenEvent({userIdType:e,userId:t,anonymousId:o,tenantIdType:a,tenantId:s,name:d,timestamp:l,screenEvent:u}).then(()=>new Promise((n,r)=>{const i=this._buildScreenEvent({userIdType:e,userId:t,anonymousId:o,tenantIdType:a,tenantId:s,name:d,screenEvent:u,subproduct:c,product:I,os:p,timestamp:l,orgId:E,workspaceId:T});this.analyticsClient.page(i,(e,t)=>{if(e){r(e)}else{this._eventCallback(i);n(t)}})}))}gracefulShutdown(){return new Promise((t,n)=>{this.analyticsClient.closeAndFlush().then(e=>{t(e)}).catch(e=>{n(e)})})}}